Bug 963506 - arpack 3.1.5 is available
arpack 3.1.5 is available
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: arpack (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Dominik 'Rathann' Mierzejewski
Fedora Extras Quality Assurance
: FutureFeature
: 1030832 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-15 22:11 EDT by Orion Poplawski
Modified: 2015-03-22 00:27 EDT (History)
3 users (show)

See Also:
Fixed In Version: arpack-3.1.5-1.fc21
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-18 06:39:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2013-05-15 22:11:33 EDT
Description of problem:

arpack 3.1.3 has been released.  Any reason not to upgrade?

scipy 0.12 bundles arpack 3.1.2 with:

The bundled version has the following patches applied:

(i) Replacing calls to certain Fortran functions with wrapper
functions, to avoid various ABI mismatches on OSX. These changes are
made with the following command:

perl -pi -e '
s@\bsdot\b@wsdot@g;
s@\bcdotc\b@wcdotc@g;
s@\bzdotc\b@wzdotc@g;
s@\bcdotu\b@wcdotu@g;
s@\bzdotu\b@wzdotu@g;
s@\bcladiv\b@wcladiv@g;
s@\bzladiv\b@wzladiv@g;
' \
SRC/*.f UTIL/*.f

(ii) Using a UTIL/second_cputime.f which calls the Fortran intrinsic
CPU_TIME function instead of ETIME.

I haven't checked to see if these have been applied to 3.1.3, but it would be good to evaluate these changes as well.
Comment 1 Fedora End Of Life 2013-09-16 09:56:18 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 2 Fedora Admin XMLRPC Client 2015-02-26 18:16:22 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Dominik 'Rathann' Mierzejewski 2015-03-03 03:29:31 EST
*** Bug 1030832 has been marked as a duplicate of this bug. ***
Comment 4 Jaroslav Reznik 2015-03-03 09:56:06 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 5 Dominik 'Rathann' Mierzejewski 2015-03-06 09:01:42 EST
Updated in rawhide and building in koji now. Also, it seems to have a testsuite, so I enabled it.
Comment 6 Fedora Update System 2015-03-12 07:44:32 EDT
arpack-3.1.5-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/arpack-3.1.5-1.fc22
Comment 7 Fedora Update System 2015-03-12 08:26:13 EDT
arpack-3.1.5-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/arpack-3.1.5-1.fc21
Comment 8 Fedora Update System 2015-03-13 13:24:00 EDT
Package arpack-3.1.5-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing arpack-3.1.5-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-3769/arpack-3.1.5-1.fc22
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2015-03-18 06:39:13 EDT
arpack-3.1.5-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2015-03-22 00:27:13 EDT
arpack-3.1.5-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.